#
# spec file for package aytests-tests
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aytests-tests
Version:        1.2.40
Release:        1.14

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        aytests-tests-%{version}.tar.bz2

BuildArch:      noarch

Summary:        Integration tests for AutoYaST2
License:        GPL-3.0-only
Group:          System/YaST
Url:            https://github.com/yast/aytests-tests

# Depends on defining classes/rules in an own directory.
Recommends:     rubygem-aytests >= 1.0.53

%description
Profiles and test scripts for AutoYaST2 integration tests.
For internal testing purposes only! Not useful on a real system!

%prep
%setup -n %{name}-%{version}

%build

%install

# Installation files

install -d $RPM_BUILD_ROOT/var/lib/autoinstall
mv aytests $RPM_BUILD_ROOT/var/lib/autoinstall/

%files
%defattr(-,root,root)
%dir /var/lib/autoinstall
/var/lib/autoinstall/aytests
%attr(755, -, root) /var/lib/autoinstall/aytests/*.sh

%changelog
* Thu Sep 13 2018 riafarov@suse.com
- Check log messages in all log archives
- 1.2.40
* Thu Aug 30 2018 riafarov@suse.com
- Look for unsupported sections message in all log files
- 1.2.39
* Tue May 15 2018 schubi@suse.de
- Timing issue in systemctl: Dalay of service start.
- Removed sles15_lvm_thin_pool from jenkins list because it cannot
  run.
- 1.2.38
* Mon Apr 16 2018 schubi@suse.de
- Removed libstorage-ng lock file /run/libstorage-ng/lock in order
  to run "yast clone_system" while installation.
- 1.2.37
* Thu Apr 12 2018 igonzalezsosa@suse.com
- Add a new scenario using a LVM setup with a thin pool
  (bsc#1086596).
- 1.2.36
* Tue Apr  3 2018 riafarov@suse.com
- Remove FW_LOG_ACCEPT_CRIT from lvm profile
- 1.2.35
* Mon Mar 26 2018 cwh@suse.com
- Adapted btrfs_snapshots.sh to the new format used in fstab.
- 1.2.34
* Mon Mar 12 2018 schubi@suse.de
- Removed profile_sections.sh from sles_network.rb test due missing
  firewall settings. Test sles.rb is already calling this check.
- 1.2.33
* Wed Mar  7 2018 schubi@suse.de
- Renaming base product name (SLES15 -> SLES) (bsc#1084259)
- 1.2.32
* Wed Mar  7 2018 schubi@suse.de
- Adapting firewall to SLES15.
- 1.2.31
* Tue Mar  6 2018 schubi@suse.de
- Adapted testcases. (tftp-server, removed ca-management,...)
- 1.2.30
* Wed Feb 28 2018 riafarov@suse.com
- Adjust firewall.sh for firewalld
- 1.2.29
* Wed Feb 28 2018 riafarov@suse.com
- Adjust lvm ay test for ntp and firewall changes
- 1.2.28
* Thu Feb 22 2018 riafarov@suse.com
- Adjust tftp test for chrony
- 1.2.27
* Thu Feb 22 2018 igonzalezsosa@suse.com
- Test whether AutoYaST is able to determine the proper filesystem
  type when is missing in the profile (bsc#1075203).
- 1.2.26
* Wed Feb 14 2018 knut.anderssen@suse.com
- Sort services check for SuSEFirewall2 profiles
- 1.2.25
* Tue Feb  6 2018 schubi@suse.de
- Adapted sles_network_without_hosts, sles_mini_network,
  sles_insserv, storage_ng_automated_lvm,
  storage_ng_automated_partitioning, storage_ng_lvm,
  storage_ng_minimal, storage_ng_plain_partitions,
  storage_ng_raid to SLES15.
- 1.2.24
* Mon Feb  5 2018 schubi@suse.de
- Corrected path of jenkins_tests.
- 1.2.23
* Mon Feb  5 2018 schubi@suse.de
- Added file jenkins_tests which contains the name of test cases.
  These tests will be run continuously on the jenkins nodes.
- 1.2.22
* Mon Feb  5 2018 schubi@suse.de
- Adapting sles_network to SLES15.
- 1.2.21
* Wed Jan 31 2018 igonzalezsosa@suse.com
- Test if partitions and logical volumes are shrinked when needed
  (bsc#1078418).
- 1.2.20
* Wed Jan 31 2018 schubi@suse.de
- sles_network: Disabling pam_nologin while installing an image.
- 1.2.19
* Tue Jan 30 2018 schubi@suse.de
- Adapting to SLES15.
- 1.2.18
* Mon Jan 22 2018 schubi@suse.de
- Disabling pam_nologin while installing an image.
- 1.2.17
* Wed Jan 17 2018 knut.anderssen@suse.com
- Fixed SuSEFirewall2 based profile (fate#323460)
- 1.2.16
* Wed Jan 17 2018 schubi@suse.de
- Adapting upgrade to SLES15.
- 1.2.15
* Tue Jan 16 2018 knut.anderssen@suse.com
- Fix test for root ssh authorized_keys file once the postinstall
  script moves the file to authorized_keys.aytests (bsc#1075830).
- 1.2.14
* Mon Jan 15 2018 schubi@suse.de
- Moved sles12 test to general sles test.
- 1.2.13
* Tue Jan  9 2018 knut.anderssen@suse.com
- Check firewalld support (fate#323460) and SuSEFirewall2 profiles
  backward compatibility.
- 1.2.12
* Tue Dec 19 2017 igonzalezsosa@suse.com
- Check chrony suport (FATE#323432) and disklabel element handling
  (bsc#1073307)
- 1.2.11
* Tue Nov 28 2017 knut.anderssen@suse.com
- Check that ssh authorized keys for root are written and exported
  correctly (bsc#1066342)
- 1.2.10
* Tue Oct 10 2017 schubi@suse.de
- The user has defined that no subvolumes will be created.
  (bnc#1059617)
- 1.2.9
* Fri Sep 22 2017 knut.anderssen@suse.com
- Check that /etc/hosts is not blanked out if there is no <host>
  section defined in the profile (bsc#1058396)
* Thu Aug 10 2017 schubi@suse.de
- Added testcase for classes. (bnc#1051483)
- 1.2.8
* Mon Jul 31 2017 knut.anderssen@suse.com
- Check that default host entries are not removed from /etc/hosts
  (bsc#1039851)
- 1.2.7
* Fri Jul 21 2017 mfilka@suse.com
- Tests for running first stage only
  - configuring DNS
  - configuring Routing
  - configuring /etc/hosts
  - configuring NICs
- 1.2.6
* Wed Jul 19 2017 schubi@suse.de
- Added syslinux to package selection of sles12_network test.
  This is needed for kdump/bootmanager in second stage.
- 1.2.5
* Mon Jul 17 2017 schubi@suse.de
- Added syslinux to package selection of sles12 test.
  This is needed for kdump/bootmanager in second stage.
* Tue Jul 11 2017 schubi@suse.de
- Added testcase for ftp server (bnc#1047232)
- 1.2.4
* Fri Jul  7 2017 igonzalezsosa@suse.com
- Add a test to check RAID based installation with storage-ng
  (fate#318196)
- 1.2.3
* Wed Jul  5 2017 igonzalezsosa@suse.com
- Add a test for checking that all sections are included when
  cloning the system with storage-ng (fate#318196)
- 1.2.2
* Wed Jun 28 2017 igonzalezsosa@suse.com
- Add a test for customized partitioning using LVM (bsc#1044697).
- 1.2.1
* Mon Jun 26 2017 igonzalezsosa@suse.com
- Add a test to find out whether the profile was set according to
  the profile (bsc#1023774)
- 1.2.0
* Tue Jun 20 2017 schubi@suse.de
- Adding additional network device.
- 1.1.13
* Fri Jun 16 2017 igonzalezsosa@suse.com
- Add test case for automated partitioning
- Add test case for customized partitioning using the new
  storage-ng layer. Currently, only plain partitions are supported
  (bsc#1044697).
- 1.1.12
* Wed Jun 14 2017 schubi@suse.de
- Report shrinked partitions if there is not enough space.
  (bnc##1039528)
- 1.1.11
* Mon Jun 12 2017 schubi@suse.de
- Added missed ntp_conf.sh
- Fix in ntp.conf produces correct entries in AutoYaST configuration
  file.(bnc#1040350)
- 1.1.10
* Tue Jun  6 2017 schubi@suse.de
- Settings are written to /etc/ntp.conf correctly.(bnc#1040350)
- 1.1.9
* Wed May 24 2017 schubi@suse.de
- Fixed tests for running under SLES12-SP3
- 1.1.8
* Thu May 18 2017 knut.anderssen@suse.com
- bsc#1035908
  - Added test to check that the installation doesn't crash with an
    invalid registration URL but reports it instead.
- 1.1.7
* Tue May 16 2017 igonzalezsosa@suse.com
- Add a test case to check if storage-ng proposal settings are
  overriden by the profile
- 1.1.6
* Fri May 12 2017 schubi@suse.de
- Fix for sles12-sp2 build
- 1.1.5
* Tue May  9 2017 schubi@suse.de
- Added testcase for storage-ng proposal (storage_ng_minimal)
  This test needs rubygem-aytests (>= 1.0.41)
- 1.1.4
* Wed Apr 12 2017 mfilka@suse.com
- bnc#1026027
  - Check if yast still needs insserv
- 1.1.3
* Tue Jan 24 2017 igonzalezsosa@suse.com
- Check that product renames information is read from libzypp
  (FATE#321751)
- 1.1.2
* Thu Dec 15 2016 schubi@suse.de
- Downloading and executing post scripts.
- 1.1.1
* Fri Nov  4 2016 igonzalezsosa@suse.com
- Bump package version to avoid conflicts with SLE-12-SP2
  and SLE-12-SP2-CASP branches
- 1.1.0
* Thu Nov  3 2016 igonzalezsosa@suse.com
- Add tests for Btrfs subvolumes handling (FATE#320342 and
  FATE#317775)
- 1.0.40
* Fri Oct 14 2016 igonzalezsosa@suse.com
- Set a timeout for all kind of messages
- 1.0.38
* Thu Oct 13 2016 igonzalezsosa@suse.com
- Set errors and messages timeout during upgrade to SLE 12
- 1.0.37
* Mon Sep 26 2016 schubi@suse.de
- Added Kdump tests (bnc#997448)
- 1.0.36
* Mon Sep 19 2016 igonzalezsosa@suse.com
- Add a test to check that authorized_keys files are handled during
  autoinstallation and autoupgrade (FATE#319471)
- 1.0.35
* Mon Sep  5 2016 schubi@suse.de
- Checking user entries for duplicate UIDs or usernames.
  (bnc#996823, bnc#995397)
- 1.0.34
* Tue Aug 30 2016 igonzalezsosa@suse.com
- FATE#319716:
  - Adapt upgrade scenario to use the fake registration server
  - Fix test about disabling self-update
- 1.0.33
* Mon Aug 29 2016 igonzalezsosa@suse.com
- Add a test about add_on_products.xml file handling
  (bsc#992608, bsc#991935)
- FATE#319716:
  - Add the self-update test to the upgrade scenario
  - Test whether the self-update feature can be disabled
  - Fix self-update test through a fake registration server
- 1.0.32
* Fri Aug 12 2016 igonzalezsosa@suse.com
- Check whether invalid languages are handled properly (bsc#991001)
- 1.0.31
* Thu Aug 11 2016 igonzalezsosa@suse.com
- Adapt self-update test to support multiple URLs in log messages
  (FATE#319716)
- 1.0.30
* Wed Aug  3 2016 igonzalezsosa@suse.com
- Add a test case to check SCC/SMT support in self-update
  (FATE#319716)
- Add a test case to check certificates handling during
  communication with registration servers (bsc#989787)
- 1.0.29
* Mon Aug  1 2016 schubi@suse.de
- Added testcase for empty scripts. (bnc#986049)
- 1.0.28
* Wed Jul 13 2016 schubi@suse.de
- sles12_network.xml: Fixed signature-handling in add-on products.
- Version 1.0.27
* Wed Jul 13 2016 igonzalezsosa@suse.com
- Test that kernel arguments can be added to bootloader
  configuration (related to bsc#968192)
- Version 1.0.26
* Wed Jul 13 2016 schubi@suse.de
- unsupported_modules.sh: Fixed zgrep
- Version 1.0.25
  Jun 23 13:10:58 CEST 2016 - schubi@suse.de
- Removing unneeded repository during the upgrade process.
  (Connection to the http server could not exists anymore)
- Version 1.0.24
* Mon Jun 20 2016 schubi@suse.de
- Reporting unsupported modules has been moved to first
  installation stage.
- Version 1.0.23
* Mon Jun 20 2016 schubi@suse.de
- Added ssh_import to expected AutoYaST file sections.
- Version 1.0.22
* Wed Jun 15 2016 schubi@suse.de
- Enable network in minimal/rules testcase.
- Version 1.0.21
* Fri May 20 2016 schubi@suse.de
- Fixed new layout/location of unsupported sections.
  (bnc#955878)
- Version 1.0.20
* Thu Apr 28 2016 schubi@suse.de
- Fixed section <signature-handling> in <add-on> section.
- Version 1.0.19
* Mon Apr 11 2016 igonzalezsosa@suse.com
- Add a test to check that password fields in /etc/shadow are
  not empty (bsc#973639, bsc#974220, bsc#971804 and bsc#965852)
- Version 1.0.18
* Fri Apr  1 2016 schubi@suse.de
- Unify tests: Taking zgrep which can handle compressed AND
  uncompressed files.
- Version 1.0.17
* Thu Mar 24 2016 schubi@suse.de
- Upgrade: Removing yast2-ca-management code from inst-sys which
  has been added by the DUD.
  (bnc#0)
- Version 1.0.16
* Fri Mar 18 2016 igonzalezsosa@suse.com
- Add a test to check if AutoYaST rules were correctly evaluated
  (bsc#963137).
- Version 1.0.15
* Tue Feb 23 2016 igonzalezsosa@suse.com
- Add a test to check that packages notifications are shown
  (bsc#943806)
- Version 1.0.14
* Tue Feb 23 2016 schubi@suse.de
- Fixed require paths.
- Version 1.0.13
* Fri Feb 19 2016 schubi@suse.de
- Reducing restarting service test to dbus service only in order
  to run the tests on SLES-12-SP2 in openQA too.
- Version 1.0.12
* Fri Feb 19 2016 schubi@suse.de
- Creating uncommon user home directory (like /admin) has crashed
  the installation (bnc#966867)
- Version 1.0.11
* Thu Feb 11 2016 igonzalezsosa@suse.com
- Add a test to check that firewall settings are merged
  during upgrade (related to bsc#963585).
- Version 1.0.10
* Thu Jan 21 2016 schubi@suse.de
- Checking if ca management has reported an error and has gone on.
  (bnc#962328)
- Version 1.0.9
* Thu Jan 21 2016 schubi@suse.de
- LVM: Add tests for value "auto" for "size" parameter.
  (bnc#962034)
- Version 1.0.8
* Wed Jan 20 2016 igonzalezsosa@suse.com
- Add tests to check that obsolete and unsupported sections
  are reported to the user (bsc#962526).
- Version 1.0.7
* Tue Jan 19 2016 igonzalezsosa@suse.com
- Add tests to check the schema that was generated during
  installation (/root/autoinst.xml).
- Add a new test case which install additional YaST packages
  to check the schema.
- Version 1.0.6
* Thu Jan 14 2016 schubi@suse.de
- Download and run AutoYaST init scripts.
- Version 1.0.5
* Tue Dec 22 2015 igonzalezsosa@suse.com
- Fix basic SLES12 tests disabling network interface renaming
- Replace MAC address with the variable {{MAC1}}
- Version 1.0.4
* Tue Dec 22 2015 igonzalezsosa@suse.com
- Add tests to check udev network persistent rules (bsc#956605)
- Version 1.0.3
* Tue Dec 22 2015 igonzalezsosa@suse.com
- Dependency on aytests is not mandatory anymore.
- Version 1.0.2
* Mon Dec 21 2015 igonzalezsosa@suse.com
- Replaces %%IP%% for {{REPO1_URL}} variable in sles12.rb test.
- Version 1.0.1
* Mon Dec 14 2015 igonzalezsosa@suse.com
- Initial version
- Based on autoyast2-integrationtest by cwh
